Returns the license aggregation data for all versions by license ID. This includes block(s), nation, licensees and lists all prospects linked to the license: Each prospect listed includes information about geological risk together with their gross and net resources in the license.
- https://eu-api.delfi.slb.com/sparhttps://eu-api.delfi.slb.com/spar/assessments/v1/licenseaggregation/{id}
- Mock serverhttps://developer.slb.com/_mock/solutions/opportunity-assessor/apis/reporting-by-unit-and-analysis/assessments/v1/licenseaggregation/{id}
curl -i -X GET \
'https://eu-api.delfi.slb.com/spar/assessments/v1/licenseaggregation/{id}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'appkey: YOUR_API_KEY_HERE' \
-H 'slb-contract-id: My-contract-ID'OK
The date from which the current license data is valid. A license can change during its validity period.
The licensees of this license.
Coordinate reference system unique identifier (EPSG number, like: 4326).
The list of holes in the polygon representation of this license (optional).
The change history
A data transfer object (DTO) representing the collection of parent basin and play folders of an aggregated folder.
True if there are no prospects associated with older versions of this license.
Aggregated prospect of the segment/dry/discovery analysis which has this license.
[
{
"id": 0,
"label": "string",
"version": 0,
"startDate": "2019-08-24T14:15:22Z",
"endDate": "2019-08-24T14:15:22Z",
"effectiveDate": "2019-08-24T14:15:22Z",
"licensees": [
{
"analysisId": 0,
"companyName": "string",
"netShare": 0.1,
"wiShare": 0.1,
"wiExpShare": 0.1,
"isOwner": true,
"isOperator": true
}
],
"crsId": 0,
"innerRings": [
"string"
],
"wktPolygon": "string",
"outerRing": "string",
"history": [
{
"modifiedDate": "2019-08-24T14:15:22Z",
"userName": "string",
"description": "string",
"realName": "string"
}
],
"folderDetails": {
"basins": [
{
"id": 0,
"name": "string"
}
],
"plays": [
{
"id": 0,
"name": "string"
}
]
},
"areProspectsUpToDate": true,
"prospects": [
{
"analysisId": 0,
"analysisName": "string",
"parentId": 0,
"parentName": "string",
"version": "string",
"successDiscovery": 0.1,
"aboveScreeningThreshold": 0.1,
"wellPath": 0.1,
"hcPhase": "string",
"results": {
"property1": 0.1,
"property2": 0.1
}
}
],
"blockNames": [
"string"
],
"nationName": "string",
"nationId": 0
}
]